opencv: cv::HOGDescriptor Struct Reference

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes

# cv::HOGDescriptor Struct Reference

`#include <objdetect.hpp>`

List of all members.

## Public Types
enum | { L2Hys = 0 }
enum | { DEFAULT_NLEVELS = 64 }
## Public Member Functions
CV_WRAP bool | checkDetectorSize () const
virtual CV_WRAP void | compute (const Mat &img, CV_OUT vector< float > &descriptors, Size winStride=Size(), Size padding=Size(), const vector< Point > &locations=vector< Point >()) const
virtual CV_WRAP void | computeGradient (const Mat &img, CV_OUT Mat &grad, CV_OUT Mat &angleOfs, Size paddingTL=Size(), Size paddingBR=Size()) const
virtual void | copyTo (HOGDescriptor &c) const
virtual CV_WRAP void | detect (const Mat &img, CV_OUT vector< Point > &foundLocations, double hitThreshold=0, Size winStride=Size(), Size padding=Size(), const vector< Point > &searchLocations=vector< Point >()) const
virtual CV_WRAP void | detectMultiScale (const Mat &img, CV_OUT vector< Rect > &foundLocations, double hitThreshold=0, Size winStride=Size(), Size padding=Size(), double scale=1.05, int groupThreshold=2) const
CV_WRAP size_t | getDescriptorSize () const
CV_WRAP double | getWinSigma () const
CV_WRAP | HOGDescriptor ()
CV_WRAP | HOGDescriptor (Size _winSize, Size _blockSize, Size _blockStride, Size _cellSize, int _nbins, int _derivAperture=1, double _winSigma=-1, int _histogramNormType=HOGDescriptor::L2Hys, double _L2HysThreshold=0.2, bool _gammaCorrection=false, int _nlevels=HOGDescriptor::DEFAULT_NLEVELS)
CV_WRAP | HOGDescriptor (const String &filename)
| HOGDescriptor (const HOGDescriptor &d)
virtual CV_WRAP bool | load (const String &filename, const String &objname=String())
virtual bool | read (FileNode &fn)
virtual CV_WRAP void | save (const String &filename, const String &objname=String()) const
virtual CV_WRAP void | setSVMDetector (const vector< float > &_svmdetector)
virtual void | write (FileStorage &fs, const String &objname) const
virtual | ~HOGDescriptor ()
## Static Public Member Functions
static vector< float > | getDefaultPeopleDetector ()
## Public Attributes
CV_PROP Size | blockSize
CV_PROP Size | blockStride
CV_PROP Size | cellSize
CV_PROP int | derivAperture
CV_PROP bool | gammaCorrection
CV_PROP int | histogramNormType
CV_PROP double | L2HysThreshold
CV_PROP int | nbins
CV_PROP int | nlevels
CV_PROP vector< float > | svmDetector
CV_PROP double | winSigma
CV_PROP Size | winSize

## Member Enumeration Documentation

anonymous enum

Enumerator:

  L2Hys |

anonymous enum

Enumerator:

  DEFAULT_NLEVELS |

## Constructor & Destructor Documentation

CV_WRAP cv::HOGDescriptor::HOGDescriptor | ( | ) | `[inline]`

CV_WRAP cv::HOGDescriptor::HOGDescriptor | ( | Size | _winSize,
|  | Size | _blockSize,
|  | Size | _blockStride,
|  | Size | _cellSize,
|  | int | _nbins,
|  | int | _derivAperture = `1`,
|  | double | _winSigma = `-1`,
|  | int | _histogramNormType = `HOGDescriptor::L2Hys`,
|  | double | _L2HysThreshold = `0.2`,
|  | bool | _gammaCorrection = `false`,
|  | int | _nlevels = `HOGDescriptor::DEFAULT_NLEVELS`
| ) |  | `[inline]`

CV_WRAP cv::HOGDescriptor::HOGDescriptor | ( | const String & | filename ) | `[inline]`

cv::HOGDescriptor::HOGDescriptor | ( | const HOGDescriptor & | d ) | `[inline]`

virtual cv::HOGDescriptor::~HOGDescriptor | ( | ) | `[inline, virtual]`

## Member Function Documentation

CV_WRAP bool cv::HOGDescriptor::checkDetectorSize | ( | ) | const

virtual CV_WRAP void cv::HOGDescriptor::compute | ( | const Mat & | img,
|  | CV_OUT vector< float > & | descriptors,
|  | Size | winStride = `Size()`,
|  | Size | padding = `Size()`,
|  | const vector< Point > & | locations = `vector< Point >()`
| ) |  | const`[virtual]`

virtual CV_WRAP void cv::HOGDescriptor::computeGradient | ( | const Mat & | img,
|  | CV_OUT Mat & | grad,
|  | CV_OUT Mat & | angleOfs,
|  | Size | paddingTL = `Size()`,
|  | Size | paddingBR = `Size()`
| ) |  | const`[virtual]`

virtual void cv::HOGDescriptor::copyTo | ( | HOGDescriptor & | c ) | const`[virtual]`

virtual CV_WRAP void cv::HOGDescriptor::detect | ( | const Mat & | img,
|  | CV_OUT vector< Point > & | foundLocations,
|  | double | hitThreshold = `0`,
|  | Size | winStride = `Size()`,
|  | Size | padding = `Size()`,
|  | const vector< Point > & | searchLocations = `vector< Point >()`
| ) |  | const`[virtual]`

virtual CV_WRAP void cv::HOGDescriptor::detectMultiScale | ( | const Mat & | img,
|  | CV_OUT vector< Rect > & | foundLocations,
|  | double | hitThreshold = `0`,
|  | Size | winStride = `Size()`,
|  | Size | padding = `Size()`,
|  | double | scale = `1.05`,
|  | int | groupThreshold = `2`
| ) |  | const`[virtual]`

static vector<float> cv::HOGDescriptor::getDefaultPeopleDetector | ( | ) | `[static]`

CV_WRAP size_t cv::HOGDescriptor::getDescriptorSize | ( | ) | const

CV_WRAP double cv::HOGDescriptor::getWinSigma | ( | ) | const

virtual CV_WRAP bool cv::HOGDescriptor::load | ( | const String & | filename,
|  | const String & | objname = `String()`
| ) |  | `[virtual]`

virtual bool cv::HOGDescriptor::read | ( | FileNode & | fn ) | `[virtual]`

virtual CV_WRAP void cv::HOGDescriptor::save | ( | const String & | filename,
|  | const String & | objname = `String()`
| ) |  | const`[virtual]`

virtual CV_WRAP void cv::HOGDescriptor::setSVMDetector | ( | const vector< float > & | _svmdetector ) | `[virtual]`

virtual void cv::HOGDescriptor::write | ( | FileStorage & | fs,
|  | const String & | objname
| ) |  | const`[virtual]`

## Member Data Documentation

CV_PROP Size cv::HOGDescriptor::blockSize

CV_PROP Size cv::HOGDescriptor::blockStride

CV_PROP Size cv::HOGDescriptor::cellSize

CV_PROP int cv::HOGDescriptor::derivAperture

CV_PROP bool cv::HOGDescriptor::gammaCorrection

CV_PROP int cv::HOGDescriptor::histogramNormType

CV_PROP double cv::HOGDescriptor::L2HysThreshold

CV_PROP int cv::HOGDescriptor::nbins

CV_PROP int cv::HOGDescriptor::nlevels

CV_PROP vector<float> cv::HOGDescriptor::svmDetector

CV_PROP double cv::HOGDescriptor::winSigma

CV_PROP Size cv::HOGDescriptor::winSize

The documentation for this struct was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/objdetect/include/opencv2/objdetect/objdetect.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines